/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.model.redis;

import redis.clients.jedis.Transaction;

public abstract class RedisDAOBase<T extends RedisEntityBase>
{
    public abstract void delete(T entity, Transaction transaction);

    public abstract void save(T entity, Transaction transaction);
}
