/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.server.core.enterprise;

import javax.persistence.EntityManager;

import org.springframework.stereotype.Repository;

import com.abiquo.server.core.common.persistence.DefaultDAOBase;

@Repository("jpaPrivilegeDAO")
public class PrivilegeDAO extends DefaultDAOBase<Integer, Privilege>
{
    public PrivilegeDAO()
    {
        super(Privilege.class);
    }

    public PrivilegeDAO(final EntityManager entityManager)
    {
        super(Privilege.class, entityManager);
    }
}
