/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
  package com.abiquo.server.core.enterprise;

  import javax.persistence.EntityManager;

  import org.springframework.stereotype.Repository;

  import com.abiquo.server.core.common.persistence.DefaultDAOBase;

  @Repository("jpaScopeResoourceDAO")
  public class ScopeEntityDAO extends DefaultDAOBase<Integer, ScopeEntity>
  {
      public ScopeEntityDAO()
      {
          super(ScopeEntity.class);
      }

      public ScopeEntityDAO(EntityManager entityManager)
      {
          super(ScopeEntity.class, entityManager);
      }

      
  }
