/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.server.core.infrastructure.management;

import javax.persistence.EntityManager;

import org.springframework.stereotype.Repository;

import com.abiquo.server.core.common.persistence.DefaultDAOBase;

@Repository("jpaRasdDAO")
public class RasdDAO extends DefaultDAOBase<String, Rasd>
{
    public RasdDAO()
    {
        super(Rasd.class);
    }

    public RasdDAO(final EntityManager entityManager)
    {
        super(Rasd.class, entityManager);
    }

}
