/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.server.core.infrastructure.storage;

import javax.persistence.EntityManager;

import org.springframework.stereotype.Repository;

import com.abiquo.server.core.common.persistence.DefaultDAOBase;

@Repository("jpaDvdManagementDAO")
public class DvdManagementDAO extends DefaultDAOBase<Integer, DvdManagement>
{

    public DvdManagementDAO()
    {
        super(DvdManagement.class);
    }

    public DvdManagementDAO(final EntityManager entityManager)
    {
        super(DvdManagement.class, entityManager);
    }

}
