/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
  package com.abiquo.server.core.accounting;

  import java.math.BigInteger;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

  import org.springframework.stereotype.Repository;

import com.abiquo.server.core.common.persistence.DefaultDAOBase;

  @Repository("jpaAccountingEventDetailDAO")
  public class AccountingEventDetailDAO extends DefaultDAOBase<BigInteger, AccountingEventDetail>
  {
      public AccountingEventDetailDAO()
      {
          super(AccountingEventDetail.class);
      }

      public AccountingEventDetailDAO(EntityManager entityManager)
      {
          super(AccountingEventDetail.class, entityManager);
      }
      
      @Override
      protected void setEntityManager(final EntityManager entityManager)
      {
          super.setEntityManager(entityManager);
      }


      
  }
