/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.server.core.common;

public class DefaultEntityCurrentUsed
{
    private final int cpu;

    private final long ramInMb;

    private final long hdInMb;

    private long storage;

    private long publicIp;

    private long vlanCount;

    public DefaultEntityCurrentUsed(int cpu, long ramInMb, long hdInMb)
    {
        super();
        this.cpu = cpu;
        this.ramInMb = ramInMb;
        this.hdInMb = hdInMb;
    }

    public int getCpu()
    {
        return cpu;
    }

    public long getRamInMb()
    {
        return ramInMb;
    }

    public long getHdInMb()
    {
        return hdInMb;
    }

    //

    public void setStorage(long storage)
    {
        this.storage = storage;
    }

    public long getStorage()
    {
        return storage;
    }

    public long getPublicIp()
    {
        return publicIp;
    }

    public void setPublicIp(long publicIp)
    {
        this.publicIp = publicIp;
    }

    public long getVlanCount()
    {
        return vlanCount;
    }

    public void setVlanCount(long vlanCount)
    {
        this.vlanCount = vlanCount;
    }
}
