/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.server.core.common;

import java.io.Serializable;

public class Limit implements Serializable
{
    private static final long serialVersionUID = -4176770590824793044L;

    public final Long soft;

    public final Long hard;

    public Limit(final Long soft, final Long hard)
    {
        this.soft = soft;
        this.hard = hard;
    }

    public boolean isNoLimit()
    {
        return soft == 0 && hard == 0;
    }
}
