/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.server.core.infrastructure.network;

import javax.persistence.EntityManager;

import org.springframework.stereotype.Repository;

import com.abiquo.server.core.common.persistence.DefaultDAOBase;

@Repository
public class NetworkConfigurationDAO extends DefaultDAOBase<Integer, NetworkConfiguration>
{

    public NetworkConfigurationDAO()
    {
        super(NetworkConfiguration.class);
    }

    public NetworkConfigurationDAO(EntityManager em)
    {
        super(NetworkConfiguration.class, em);
    }

}
