/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.server.core.scheduler;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.hibernate.Session;
import org.hibernate.jdbc.Work;
import org.springframework.stereotype.Repository;

/**
 * Class to allow discrete work on JDBC while scheduling resources.
 * 
 * @author <a href="mailto:serafin.sedano@abiquo.com">Serafin Sedano</a>
 */
@Repository
public class SchedulerDAO
{
    @PersistenceContext
    private EntityManager entityManager;

    /**
     * Piece of crap brought to you by bzengine <br>
     * TODO get rid of this as soon as bzengine is gone
     */
    public SchedulerDAO()
    {
    }

    /**
     * Piece of crap brought to you by bzengine which needs a constructor with the entityManager <br>
     * TODO get rid of this as soon as bzengine is gone
     * 
     * @param entityManager entityManager for test.
     */
    public SchedulerDAO(final EntityManager entityManager)
    {
        this.entityManager = entityManager;
    }

    /**
     * Executes the {@link Work} JDBC.
     * 
     * @see org.hibernate.Session#doWork
     * @param work
     */
    public void doWork(final Work work)
    {
        ((Session) entityManager.getDelegate()).doWork(work);
    }
}
