/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.server.core.scheduler;

import java.util.ArrayList;

import com.abiquo.server.core.infrastructure.network.NetworkServiceType;

/**
 * Any requirement, used to check the current limits (when Editing Enterpirse, Datacenter or
 * VirtualDatacenter)
 */
public class VirtualMachineRequirementsEmpty extends VirtualMachineRequirements
{

    public VirtualMachineRequirementsEmpty()
    {
        super(0l, 0l, 0l, 0l, 0l, 0l, 0l, new ArrayList<NetworkServiceType>());
    }
}
