/**
 * Copyright (C) 2008 - Abiquo Holdings S.L. All rights reserved.
 *
 * Please see /opt/abiquo/tomcat/webapps/legal/ on Abiquo server
 * or contact contact@abiquo.com for licensing information.
 */
package com.abiquo.server.core.util;

public class FilterOptions
{
    private Integer startwith;

    private Integer limit;

    private String filter;

    private Boolean asc;

    private String orderBy;

    public FilterOptions(final Integer startwith, final Integer limit, final String filter,
        final String orderBy, final Boolean asc)
    {
        setStartwith(startwith);
        setLimit(limit);
        setFilter(filter);
        setOrderBy(orderBy);
        setAsc(asc);
    }

    public void setStartwith(final Integer startwith)
    {
        this.startwith = startwith;
    }

    public Integer getStartwith()
    {
        return startwith;
    }

    public void setLimit(final Integer limit)
    {
        this.limit = limit;
    }

    public Integer getLimit()
    {
        return limit;
    }

    public void setFilter(final String filter)
    {
        this.filter = filter;
    }

    public String getFilter()
    {
        return filter;
    }

    public void setAsc(final Boolean asc)
    {
        this.asc = asc;
    }

    public Boolean getAsc()
    {
        return asc;
    }

    public void setOrderBy(final String orderBy)
    {
        this.orderBy = orderBy;
    }

    public String getOrderBy()
    {
        return orderBy;
    }
}
